r1187 - trunk/src/host/devirginator

werner at sita.openmoko.org werner at sita.openmoko.org
Thu Mar 1 16:56:05 CET 2007


Author: werner
Date: 2007-03-01 16:56:01 +0100 (Thu, 01 Mar 2007)
New Revision: 1187

Modified:
   trunk/src/host/devirginator/README
   trunk/src/host/devirginator/setup.sh
Log:
setup.sh: added test for possibly missing "external" executables
README: more setup description



Modified: trunk/src/host/devirginator/README
===================================================================
--- trunk/src/host/devirginator/README	2007-03-01 15:52:55 UTC (rev 1186)
+++ trunk/src/host/devirginator/README	2007-03-01 15:56:01 UTC (rev 1187)
@@ -35,6 +35,7 @@
 - dfu-util must be accessible from the machine running "devirginate".
   If dfu-util is not in PATH, you can set an explicit path in "config".
 
+  
   To build dfu-util, do this:
   cd $OMDIR/openmoko/trunk/src/host/dfu-util
   ./autogen.sh
@@ -71,10 +72,25 @@
 during devirgination.
 
 First, copy config.example to "config" and make the necessary changes.
-Almost all settings have reasonable defaults, but you will have to
-set SNAPSHOT to the date code of the snapshot you desire.
+Almost all settings have reasonable defaults, but the least thing you
+will have to do is set SNAPSHOT to the date code of the snapshot you
+desire.
 
+Next, run either  ./setup.sh  or just  make .
 
+setup.sh will now download any missing files, and perform the various
+conversions. If any error occur during this, e.g., because of missing
+tools or a configuration error, setup.sh will stop with an error. You
+then have to correct the problem and retry. Files already downloaded
+to tmp/ will be skipped in the retry (setup.sh will still probe if
+they have changed).
+
+setup.sh also checks if executables used during devirgination are
+available and prints a warning if it finds anything missing. In general,
+one can run setup.sh on a different machine than "devirginate", in
+which case these warnings can be ignored.
+
+
 Files
 =====
 

Modified: trunk/src/host/devirginator/setup.sh
===================================================================
--- trunk/src/host/devirginator/setup.sh	2007-03-01 15:52:55 UTC (rev 1186)
+++ trunk/src/host/devirginator/setup.sh	2007-03-01 15:56:01 UTC (rev 1187)
@@ -54,6 +54,14 @@
 }
 
 
+probe()
+{
+    if ! "$@" >/dev/null 2>&1; then
+	echo "WARNING: cannot execute $1" 1>&2
+    fi
+}
+
+
 # --- Configuration defaults --------------------------------------------------
 
 
@@ -80,6 +88,13 @@
 . config
 
 
+# --- Check executables -------------------------------------------------------
+
+
+probe "$DFU_UTIL" -l
+probe telnet </dev/null
+
+
 # --- Post configuration ------------------------------------------------------
 
 





More information about the commitlog mailing list